picard.analysis

## Class CollectRawWgsMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.CollectWgsMetrics
    - - picard.analysis.CollectRawWgsMetrics

-     public class CollectRawWgsMetrics
      extends CollectWgsMetrics

  Computes a number of metrics that are useful for evaluating coverage and performance of whole genome sequencing experiments, same implementation as CollectWgsMetrics, with different defaults: lacks baseQ and mappingQ filters and has much higher coverage cap.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectRawWgsMetrics.RawWgsMetrics`

    - ### Nested classes/interfaces inherited from class picard.analysis.CollectWgsMetrics

      `CollectWgsMetrics.WgsMetrics, CollectWgsMetrics.WgsMetricsCollector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `COVERAGE_CAP`
    `int` | `LOCUS_ACCUMULATION_CAP`
    `int` | `MINIMUM_BASE_QUALITY`
    `int` | `MINIMUM_MAPPING_QUALITY`

    - ### Fields inherited from class picard.analysis.CollectWgsMetrics

      `COUNT_UNPAIRED, INCLUDE_BQ_HISTOGRAM, INPUT, INTERVALS, OUTPUT, REFERENCE_SEQUENCE, SAMPLE_SIZE, STOP_AFTER`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectRawWgsMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---

    `protected CollectWgsMetrics.WgsMetrics`

    `generateWgsMetrics(htsjdk.samtools.util.IntervalList intervals, htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram, htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram, double pctExcludedByMapq, double pctExcludedByDupes, double pctExcludedByPairing, double pctExcludedByBaseq, double pctExcludedByOverlap, double pctExcludedByCapping, double pctTotal, int coverageCap, htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram, int sampleSize)`

    - ### Methods inherited from class picard.analysis.CollectWgsMetrics

      `doWork, getBasesExcludedBy, getCollector, getIntervalsToExamine, getLocusIterator, getSamFileHeader, getSamReader, main`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MINIMUM_MAPPING_QUALITY

          @Option(shortName="MQ",
                  doc="Minimum mapping quality for a read to contribute coverage.")
          public int MINIMUM_MAPPING_QUALITY

    - #### MINIMUM_BASE_QUALITY

          @Option(shortName="Q",
                  doc="Minimum base quality for a base to contribute coverage.")
          public int MINIMUM_BASE_QUALITY

    - #### COVERAGE_CAP

          @Option(shortName="CAP",
                  doc="Treat bases with coverage exceeding this value as if they had coverage at this value.")
          public int COVERAGE_CAP

    - #### LOCUS_ACCUMULATION_CAP

          @Option(doc="At positions with coverage exceeding this value, completely ignore reads that accumulate beyond this value (so that they will not be considered for PCT_EXC_CAPPED).  Used to keep memory consumption in check, but could create bias if set too low")
          public int LOCUS_ACCUMULATION_CAP

  - ### Constructor Detail

    - #### CollectRawWgsMetrics

          public CollectRawWgsMetrics()

  - ### Method Detail

    - #### generateWgsMetrics

          protected CollectWgsMetrics.WgsMetrics generateWgsMetrics(htsjdk.samtools.util.IntervalList intervals,
                                                                    htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram,
                                                                    htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram,
                                                                    double pctExcludedByMapq,
                                                                    double pctExcludedByDupes,
                                                                    double pctExcludedByPairing,
                                                                    double pctExcludedByBaseq,
                                                                    double pctExcludedByOverlap,
                                                                    double pctExcludedByCapping,
                                                                    double pctTotal,
                                                                    int coverageCap,
                                                                    htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram,
                                                                    int sampleSize)

      Overrides:
        `generateWgsMetrics` in class `CollectWgsMetrics`